# frozen_string_literal: true

class Renuo::Cli::Commands::GeneratePassword
  command "generate-password" do |c|
    c.syntax = "renuo generate-password"
    c.summary = "Generates a phrase of random 0-9a-zA-Z characters. Choose a substring of it as a new password."
    c.description = "Generates a phrase of random 0-9a-zA-Z characters. Choose a substring of it as a new password."
    c.example "renuo generate-password", "generates a random password"
    c.action { new.run }
  end

  def run
    say SecureRandom.base64(200).gsub(%r{[+/=]}, "")[0...100]
  end
end
