# frozen_string_literal: true

class Renuo::Cli::Commands::ListLargeGitFiles
  command "list-large-git-files" do |c|
    c.syntax = "renuo list-large-git-files"
    c.summary = "Lists the 5 largest files in a git repository. Warning: must be a bare checkout of the repo!"
    c.description = "Lists the 5 largest files in a git repository.\nWarning: must be a bare checkout of the repo!"
    c.example "list the 5 largest git files of github.com/renuo/renuo-cli",
              "git clone --bare git@github.com:renuo/renuo-cli.git && " \
              "cd renuo-cli.git && renuo list-large-git-files"
    c.action { new.run }
  end

  def run
    cmd = 'bash -c "join -o \'1.1 1.2 2.3\' <(git rev-list --objects --all | sort) ' \
          '<(git verify-pack -v objects/pack/*.idx | sort -k3 -n | tail -5 | sort) | sort -k3 -n"'
    puts `#{cmd}`
  end
end
