# frozen_string_literal: true

module CommandHelper
  def run_command(command)
    say "\n#{command.yellow}"
    system command
  end

  def open_path(path)
    system_command = case RbConfig::CONFIG["host_os"]
                     when /mswin|mingw|cygwin/
                       "start"
                     when /darwin/
                       "open"
                     when /linux|bsd/
                       "xdg-open"
                     end
    run_command "#{system_command} #{path}"
  end
end
