# frozen_string_literal: true

class Renuo::Cli::Services::Cache
  CACHE_DIR = "#{Dir.home}/.renuo-cli/cache".freeze
  FileUtils.mkdir_p(CACHE_DIR)

  class << self
    def store(file_name, object)
      file_path = File.join(CACHE_DIR, "#{file_name}.yml")
      File.write(file_path, YAML.dump(object))
    end

    def restore(file_name)
      file_path = File.join(CACHE_DIR, "#{file_name}.yml")
      return nil unless File.exist?(file_path)

      YAML.load_file(file_path)
    end

    def stored_at(file_name)
      file_path = File.join(CACHE_DIR, "#{file_name}.yml")
      return nil unless File.exist?(file_path)

      File.mtime(file_path).localtime.strftime("%Y-%m-%d %H:%M")
    end
  end
end
