# frozen_string_literal: true

class Renuo::Cli::Services::Deploio
  class << self
    def fetch_apps
      fetch_apps_cmd = %(nctl get apps -A -o yaml)
      stdout, stderr, status = Open3.capture3 fetch_apps_cmd
      raise "Error fetching Deploio app list: #{stderr}" unless status.success?

      YAML.load_stream(stdout).map do |app|
        name = app.dig("metadata", "name")
        namespace = app.dig("metadata", "namespace")
        spec_hosts = app.dig("spec", "forProvider", "hosts") || []

        { name: name, namespace: namespace, hosts: spec_hosts }
      end
    end
  end
end
